=== Categories/CMakeLists.txt ===

install( FILES kinfocentercategory.desktop DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

install( FILES deviceinfocategory.desktop graphicalinfocategory.desktop networkinfocategory.desktop lostfoundcategory.desktop basicinformation.desktop detailedinformation.desktop
         DESTINATION  ${SERVICES_INSTALL_DIR} )
