=== debian/changelog ===
kinfocenter (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kinfocenter (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kinfocenter (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kinfocenter (4:5.19.5-4) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 09:01:21 +0900

kinfocenter (4:5.19.5-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Add find empty dir and delete them to dh_install override
    in rules to fix empty dir lintian error.
  * Remove files from d/copyright that no longer exist.

 -- Norbert Preining <norbert@preining.info>  Wed, 04 Nov 2020 05:41:54 +0900

kinfocenter (4:5.19.5-2) experimental; urgency=medium

  [ Scarlett Moore ]
   - Add missing copyright information from all files.
   - Follow closely to updated KDE License policy and update license
     text and short names.
  * Update lintian-override for manual page name change.
  * Add maint options for hardening=+all.
  * Refresh upstream/metadata.
    - Remove obsolete fields already defined in d/copyright.
    - Update repository info to point to invent.kde.org repo.
    - Add new bug-database entry.
    - Update changelog to point to announcements page.
  * Fix "should recommend or suggest samba"
    Add samba to suggests. (Closes: #953187)

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 11:16:42 +0900

kinfocenter (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).
  * Refresh copyright file with latest copyright info.

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 20 Oct 2020 07:33:39 +0900

kinfocenter (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Update Qt build-deps with the info from cmake.

  [ Pino Toscano ]
  * The IEEE 1394 KCM can natively read the oui.txt file natively, so there is
    no more need to provide an updated oui.db instead of the very old bundled
    one; hence:
    - drop our custom oui.db symlink in kinfocenter
    - stop generating an own /var/lib/ieee-data/kinfocenter_oui.db from
      ieee-data
    - drop our kinfocenter_oui.sh script
    - remove /var/lib/ieee-data/kinfocenter_oui.db on upgrades only

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 19:35:19 +0200

kinfocenter (4:5.17.5-3) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * kinfocenter_oui.sh: handle CRLF newlines, so there are no spurious \r
    at the end of the vendor names.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 18:17:43 +0200

kinfocenter (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:45:41 +0100

kinfocenter (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Stop symlinking usb.ids to the private data directory, as now
    /usr/share/misc/usb.ids can be used directly.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 09:57:32 +0100
