=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.74~),
               libkf5config-dev (>= 5.74~),
               libkf5configwidgets-dev (>= 5.74~),
               libkf5coreaddons-dev (>= 5.74~),
               libkf5crash-dev (>= 5.74~),
               libkf5dbusaddons-dev (>= 5.74~),
               libkf5declarative-dev (>= 5.74~),
               libkf5doctools-dev (>= 5.74~),
               libkf5i18n-dev (>= 5.74~),
               libkf5iconthemes-dev (>= 5.74~),
               libkf5kcmutils-dev (>= 5.74~),
               libkf5kio-dev (>= 5.74~),
               libkf5package-dev (>= 5.74~),
               libkf5service-dev (>= 5.74~),
               libkf5solid-dev (>= 5.74~),
               libkf5wayland-dev (>= 4:5.4.1~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.74~),
               libkf5windowsystem-dev (>= 5.74~),
               libkf5xmlgui-dev (>= 5.74~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.
