=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qml-module-org-kde-kirigami2,
-               qtbase5-dev (>= 5.15.0~)
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/kinfocenter
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
