## kinfocenter 5.22.5

=== debian/changelog ===
kinfocenter (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:46:42 +0200

kinfocenter (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:31 +0100

kinfocenter (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:56 +0100

kinfocenter (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:52:30 +0100

kinfocenter (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:35 +0100

kinfocenter (4:5.22.1-0ubuntu1) impish; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Add libusb-1.0-0-dev to build depends.

  [ Rik Mills ]
  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:32 +0100

kinfocenter (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * debian/rules no longer needs to handle oui.db and usb.ids - they
    went away

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:09 +0100

kinfocenter (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:06 +0100
