=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 %:
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
-override_dh_install:
-	find debian/kinfocenter/usr/share -type d -empty -delete
-	dh_install
