## kinfocenter 5.25.5

=== debian/changelog ===
kinfocenter (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:58 +0100

kinfocenter (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend aha, mesa-utils, mesa-utils-extra, vulkan-tools

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 00:41:22 +0100

kinfocenter (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:29 +0200

kinfocenter (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:57 +0100

kinfocenter (4:5.25.3-2) unstable; urgency=medium

  * Team upload.
  * Suggest aha, needed by the firmware module.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop unused build dependencies: libkf5completion-dev, libkf5crash-dev,
    libkf5dbusaddons-dev, libkf5windowsystem-dev, libkf5xmlgui-dev, libpci-dev,
    and libraw1394-dev.
  * Drop the ieee-data dependency, as oui.txt is no more read.
  * Recommend dmidecode, only on architectures on which it exists, for reading
    the machine serial number.
  * Recommend pciutils, to show the available PCI devices by default.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Jul 2022 08:08:02 +0200

kinfocenter (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Refresh lintian overrides.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:10 +0200

kinfocenter (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:33 +0100

kinfocenter (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:34 +0100

kinfocenter (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:18 +0200

kinfocenter (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:54 +0100

kinfocenter (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:03 +0200

kinfocenter (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:30 +0100

kinfocenter (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Add lintian overrides for internal library libKInfoCenterInternal.so.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:21 +0200

kinfocenter (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Add aha to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:01 +0100

kinfocenter (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:03 +0200

kinfocenter (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:06 +0100

kinfocenter (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:43:41 +0200

kinfocenter (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:44:39 +0100

kinfocenter (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Update B-Ds and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:30 +0100

kinfocenter (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:43:33 +0100

kinfocenter (4:5.23.4-2) unstable; urgency=medium

  * Team upload.
  * Add the libusb-1.0-0-dev build dependency to enable the USB devices module.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Remove the now unused DEB_HOST_ARCH_OS variable in rules.
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Suggest vulkan-tools, as it can be used to show Vulkan information.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Dec 2021 07:20:09 +0100

kinfocenter (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 22:25:19 +0100
