=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90~),
               gettext,
               libegl1-mesa-dev,
               libkf5config-dev (>= 5.90~),
               libkf5configwidgets-dev (>= 5.90~),
               libkf5coreaddons-dev (>= 5.90~),
               libkf5declarative-dev (>= 5.90~),
               libkf5doctools-dev (>= 5.90~),
               libkf5i18n-dev (>= 5.90~),
               libkf5kcmutils-dev (>= 5.90~),
               libkf5kio-dev (>= 5.90~),
               libkf5package-dev (>= 5.90~),
               libkf5service-dev (>= 5.90~),
               libkf5solid-dev (>= 5.90~),
               libkf5widgetsaddons-dev (>= 5.90~),
               libusb-1.0-0-dev,
               pkg-config,
               qml-module-org-kde-kirigami2,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Rules-Requires-Root: no

Package: kinfocenter
Architecture: any
Depends: plasma-workspace (>= 4:5.14),
         qml-module-org-kde-kirigami2,
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dmidecode, pciutils, aha, mesa-utils, mesa-utils-extra, vulkan-tools
Suggests: samba
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.
